Changeset 1010 for trunk


Ignore:
Timestamp:
Oct 18, 2013 2:32:35 PM (6 years ago)
Author:
tkr
Message:

Re-running with latest version of BuildTools?

Location:
trunk/Couenne
Files:
19 edited

Legend:

Unmodified
Added
Removed
  • trunk/Couenne/Makefile.in

    r1009 r1010  
    301301ac_ct_CXX = @ac_ct_CXX@
    302302ac_ct_F77 = @ac_ct_F77@
     303ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    303304ac_ct_RANLIB = @ac_ct_RANLIB@
    304305ac_ct_STRIP = @ac_ct_STRIP@
    305306ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    306 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    307307am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    308308am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/configure

    r1009 r1010  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 FLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion COUENNE_SVN_REV CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED BONMIN_LIBS BONMIN_CFLAGS BONMIN_DATA BONMIN_DEPENDENCIES BONMIN_LIBS_INSTALLED BONMIN_CFLAGS_INSTALLED BONMIN_DATA_INSTALLED COUENNELIB_CFLAGS COUENNELIB_LIBS COUENNELIB_PCLIBS COUENNELIB_PCREQUIRES COUENNELIB_DEPENDENCIES COUENNELIB_CFLAGS_INSTALLED COUENNELIB_LIBS_INSTALLED COIN_HAS_BONMIN_TRUE COIN_HAS_BONMIN_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE NTYINCDIR NTYLIB COIN_HAS_NTY_TRUE COIN_HAS_NTY_FALSE SCIP_LIBS SCIP_CFLAGS SCIP_DATA SCIP_DEPENDENCIES SCIP_LIBS_INSTALLED SCIP_CFLAGS_INSTALLED SCIP_DATA_INSTALLED COIN_HAS_SCIP_TRUE COIN_HAS_SCIP_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE CPXINCDIR GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 FLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion COUENNE_SVN_REV CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED BONMIN_LIBS BONMIN_CFLAGS BONMIN_DATA BONMIN_DEPENDENCIES BONMIN_LIBS_INSTALLED BONMIN_CFLAGS_INSTALLED BONMIN_DATA_INSTALLED COUENNELIB_CFLAGS COUENNELIB_LIBS COUENNELIB_PCLIBS COUENNELIB_PCREQUIRES COUENNELIB_DEPENDENCIES COUENNELIB_CFLAGS_INSTALLED COUENNELIB_LIBS_INSTALLED COIN_HAS_BONMIN_TRUE COIN_HAS_BONMIN_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE NTYINCDIR NTYLIB COIN_HAS_NTY_TRUE COIN_HAS_NTY_FALSE SCIP_LIBS SCIP_CFLAGS SCIP_DATA SCIP_DEPENDENCIES SCIP_LIBS_INSTALLED SCIP_CFLAGS_INSTALLED SCIP_DATA_INSTALLED COIN_HAS_SCIP_TRUE COIN_HAS_SCIP_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE CPXINCDIR GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    10951095  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
    10961096  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
    1097   --enable-doscompile     Under Cygwin, compile so that executables run under
    1098                           DOS. Set to mingw to use gcc/g++/ld with
    1099                           -mno-cygwin. Set to msvc to use cl/link (or
    1100                           icl/link). Default when mentioned: mingw. Default
    1101                           when not mentioned: disabled.
     1097
     1098  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    11021099  --enable-debug          compile all projects with debug options tests
    11031100                          (implies --disable-shared)
     
    16671664# to make correct call to Fortran routines
    16681665
    1669 case $build in
    1670   *-mingw*)
    1671     if test "${LD+set}" = set; then :; else
    1672       LD=link
    1673     fi
    1674     ;;
    1675  esac
    1676  case $enable_doscompile in
    1677    msvc)
    1678      if test "x${LD+set}" = xset; then :; else
    1679        LD=link
    1680      fi
    1681      ;;
    1682  esac
    1683 
    16841666ac_aux_dir=
    16851667for ac_dir in $srcdir $srcdir/.. $srcdir/../..; do
     
    17401722
    17411723
    1742  # Check whether --enable-doscompile or --disable-doscompile was given.
     1724
     1725  # for backward compatibility
     1726  # Check whether --enable-doscompile or --disable-doscompile was given.
    17431727if test "${enable_doscompile+set}" = set; then
    17441728  enableval="$enable_doscompile"
    1745   if test "$enable_doscompile" != no; then
    1746      case $build in
    1747        *-cygwin* | *-mingw*) ;;
    1748        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1749 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1750    { (exit 1); exit 1; }; } ;;
    1751      esac
    1752    fi
     1729  enable_doscompile=$enableval
    17531730else
    17541731  enable_doscompile=no
    17551732fi;
    1756  case "$enable_doscompile" in
    1757    mingw)
    1758      case $build in
    1759        *-mingw*) enable_doscompile=no ;;
    1760      esac
    1761      ;;
    1762    msvc|no) ;;
    1763    yes) enable_doscompile=mingw ;;
    1764    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1765                     Try configure --help=recursive." >&5
    1766 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1767                     Try configure --help=recursive." >&2;}
     1733
     1734  # Check whether --enable-msvc or --disable-msvc was given.
     1735if test "${enable_msvc+set}" = set; then
     1736  enableval="$enable_msvc"
     1737  enable_msvc=$enableval
     1738else
     1739  enable_msvc=no
     1740     if test "$enable_doscompile" = msvc ; then
     1741       enable_msvc=yes
     1742     elif test "$enable_doscompile" != no ; then
     1743       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1744echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
    17681745   { (exit 1); exit 1; }; }
    1769       ;;
    1770   esac
    1771   if test "$enable_doscompile" != no ; then
    1772     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1773 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1746     fi
     1747
     1748fi;
     1749
     1750  if test "$enable_msvc" = yes; then
     1751    case $build in
     1752      *-cygwin* | *-mingw*) ;;
     1753      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1754echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1755   { (exit 1); exit 1; }; } ;;
     1756    esac
    17741757  fi
     1758
     1759
     1760 case $build in
     1761  *-mingw*)
     1762    if test "${LD+set}" = set; then :; else
     1763      LD=link
     1764    fi
     1765    ;;
     1766 esac
     1767 if test $enable_msvc = yes ; then
     1768   if test "x${LD+set}" = xset; then :; else
     1769     LD=link
     1770   fi
     1771 fi
     1772
     1773
     1774# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1775if test "${enable_static_standardlibs+set}" = set; then
     1776  enableval="$enable_static_standardlibs"
     1777  case "$enableval" in
     1778     no | yes | auto ) ;;
     1779     *)
     1780       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1781echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
     1782   { (exit 1); exit 1; }; } ;;
     1783   esac
     1784   use_static_standardlibs=$enableval
     1785else
     1786  use_static_standardlibs=no
     1787fi;
     1788
    17751789
    17761790
     
    18151829case $build in
    18161830  *-cygwin* | *-mingw*)
    1817              if test "$enable_doscompile" = msvc ; then
    1818                comps="icl cl"
     1831             if test "$enable_msvc" = yes ; then
     1832               comps="icl cl gcc"
    18191833             else
    1820                comps="gcc cl"
     1834               comps="gcc icl cl"
    18211835             fi ;;
    18221836  *-*-solaris*)
     
    26152629echo "$as_me: Overruling autoconf; cl does not recognise -g." >&6;}
    26162630    fi ;;
     2631  * )
     2632    CYGPATH_W=echo
     2633    ;;
    26172634esac
    26182635CFLAGS="$save_cflags"
     
    26682685            ;;
    26692686        esac
    2670         case $enable_doscompile in
    2671           mingw)
    2672             CFLAGS="-mno-cygwin"
    2673             cat >conftest.$ac_ext <<_ACEOF
    2674 /* confdefs.h.  */
    2675 _ACEOF
    2676 cat confdefs.h >>conftest.$ac_ext
    2677 cat >>conftest.$ac_ext <<_ACEOF
    2678 /* end confdefs.h.  */
    2679 
    2680 int
    2681 main ()
    2682 {
    2683 int i=0; i++;
    2684   ;
    2685   return 0;
    2686 }
    2687 _ACEOF
    2688 rm -f conftest.$ac_objext conftest$ac_exeext
    2689 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2690   (eval $ac_link) 2>conftest.er1
    2691   ac_status=$?
    2692   grep -v '^ *+' conftest.er1 >conftest.err
    2693   rm -f conftest.er1
    2694   cat conftest.err >&5
    2695   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2696   (exit $ac_status); } &&
    2697          { ac_try='test -z "$ac_c_werror_flag"
    2698                          || test ! -s conftest.err'
    2699   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2700   (eval $ac_try) 2>&5
    2701   ac_status=$?
    2702   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2703   (exit $ac_status); }; } &&
    2704          { ac_try='test -s conftest$ac_exeext'
    2705   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2706   (eval $ac_try) 2>&5
    2707   ac_status=$?
    2708   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2709   (exit $ac_status); }; }; then
    2710   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2711 else
    2712   echo "$as_me: failed program was:" >&5
    2713 sed 's/^/| /' conftest.$ac_ext >&5
    2714 
    2715 fi
    2716 rm -f conftest.err conftest.$ac_objext \
    2717       conftest$ac_exeext conftest.$ac_ext
    2718             CFLAGS=
    2719           ;;
    2720         esac
    27212687    esac
    27222688  fi
     
    27272693          clang* ) ;;
    27282694          cl* | */cl* | CL* | */CL*)
    2729             coin_opt_cflags='-MT -O2'
     2695            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     2696              coin_opt_cflags='-MD -O2'
     2697              coin_dbg_cflags='-MDd'
     2698            else
     2699              coin_opt_cflags='-MT -O2'
     2700              coin_dbg_cflags='-MTd'
     2701            fi
    27302702            coin_add_cflags='-nologo -wd4996 -D_CRT_SECURE_NO_DEPRECATE'
    2731             coin_dbg_cflags='-MTd'
    27322703            ;;
    27332704          icl* | */icl* | ICL* | */ICL*)
    2734             coin_opt_cflags='-MT -Ox'
     2705            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     2706              coin_opt_cflags='-MD -Ox'
     2707              coin_dbg_cflags='-MDd -debug'
     2708            else
     2709              coin_opt_cflags='-MT -Ox'
     2710              coin_dbg_cflags='-MTd -debug'
     2711            fi
    27352712            coin_add_cflags='-nologo -D_CRT_SECURE_NO_DEPRECATE'
    2736             coin_dbg_cflags='-MTd -debug'
    27372713            ;;
    27382714        esac
     
    28992875    CFLAGS="$OPT_CFLAGS"
    29002876  fi
     2877
    29012878else
    29022879  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    30493026  clang* ) ;;
    30503027  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3051     case $build in
     3028
     3029 case $build in
    30523030  *-mingw*)
    30533031    if test "${LD+set}" = set; then :; else
     
    30563034    ;;
    30573035 esac
    3058  case $enable_doscompile in
    3059    msvc)
    3060      if test "x${LD+set}" = xset; then :; else
    3061        LD=link
    3062      fi
    3063      ;;
    3064  esac
     3036 if test $enable_msvc = yes ; then
     3037   if test "x${LD+set}" = xset; then :; else
     3038     LD=link
     3039   fi
     3040 fi
    30653041
    30663042    ;;
    30673043esac
     3044
     3045# check whether to add flags for static linking against standard libraries to LDFLAGS
     3046if test x$use_static_standardlibs != xno ; then
     3047  case $build in
     3048    *-mingw*)
     3049      static_standardlib_flag=-static
     3050      ;;
     3051    *)
     3052      static_standardlib_flag=-static-libgcc
     3053      ;;
     3054  esac
     3055  case " $LDFLAGS " in
     3056    *" $static_standardlib_flag "* ) ;;
     3057    *)
     3058    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3059echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3060    coin_save_LDFLAGS="$LDFLAGS"
     3061    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3062    cat >conftest.$ac_ext <<_ACEOF
     3063/* confdefs.h.  */
     3064_ACEOF
     3065cat confdefs.h >>conftest.$ac_ext
     3066cat >>conftest.$ac_ext <<_ACEOF
     3067/* end confdefs.h.  */
     3068
     3069int
     3070main ()
     3071{
     3072int i=0;
     3073  ;
     3074  return 0;
     3075}
     3076_ACEOF
     3077rm -f conftest.$ac_objext conftest$ac_exeext
     3078if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3079  (eval $ac_link) 2>conftest.er1
     3080  ac_status=$?
     3081  grep -v '^ *+' conftest.er1 >conftest.err
     3082  rm -f conftest.er1
     3083  cat conftest.err >&5
     3084  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3085  (exit $ac_status); } &&
     3086         { ac_try='test -z "$ac_c_werror_flag"
     3087                         || test ! -s conftest.err'
     3088  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3089  (eval $ac_try) 2>&5
     3090  ac_status=$?
     3091  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3092  (exit $ac_status); }; } &&
     3093         { ac_try='test -s conftest$ac_exeext'
     3094  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3095  (eval $ac_try) 2>&5
     3096  ac_status=$?
     3097  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3098  (exit $ac_status); }; }; then
     3099  echo "$as_me:$LINENO: result: yes" >&5
     3100echo "${ECHO_T}yes" >&6
     3101else
     3102  echo "$as_me: failed program was:" >&5
     3103sed 's/^/| /' conftest.$ac_ext >&5
     3104
     3105echo "$as_me:$LINENO: result: no" >&5
     3106echo "${ECHO_T}no" >&6
     3107       LDFLAGS="$coin_save_LDFLAGS"
     3108       if test $use_static_standardlibs = yes ; then
     3109         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3110echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3111   { (exit 1); exit 1; }; }
     3112       fi
     3113
     3114fi
     3115rm -f conftest.err conftest.$ac_objext \
     3116      conftest$ac_exeext conftest.$ac_ext
     3117    ;;
     3118  esac
     3119fi
    30683120
    30693121ac_ext=c
     
    30763128case $build in
    30773129  *-cygwin* | *-mingw*)
    3078      if test "$enable_doscompile" = msvc ; then
    3079        coin_f77_comps="ifort fl32 compile_f2c"
     3130     if test "$enable_msvc" = yes ; then
     3131       coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
    30803132     else
    30813133       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    30873139  *) coin_f77_comps="xlf_r fort77 gfortran ifort g95 f77 g77 pgf90 pgf77 ifc frt af77" ;;
    30883140 esac
     3141
    30893142
    30903143
     
    33023355
    33033356# Provide some information about the compiler.
    3304 echo "$as_me:3304:" \
     3357echo "$as_me:3357:" \
    33053358     "checking for Fortran 77 compiler version" >&5
    33063359ac_compiler=`set X $ac_compile; echo $2`
     
    34713524    coin_add_fflags="-pipe"
    34723525    coin_dbg_fflags="-g -O0"
    3473     case $enable_doscompile in
    3474       mingw)
    3475         FFLAGS="-mno-cygwin"
    3476         cat >conftest.$ac_ext <<_ACEOF
    3477       program main
    3478       write(*,*) 'Hello world'
    3479       end
    3480 _ACEOF
    3481 rm -f conftest.$ac_objext conftest$ac_exeext
    3482 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3483   (eval $ac_link) 2>conftest.er1
    3484   ac_status=$?
    3485   grep -v '^ *+' conftest.er1 >conftest.err
    3486   rm -f conftest.er1
    3487   cat conftest.err >&5
    3488   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3489   (exit $ac_status); } &&
    3490          { ac_try='test -z "$ac_f77_werror_flag"
    3491                          || test ! -s conftest.err'
    3492   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3493   (eval $ac_try) 2>&5
    3494   ac_status=$?
    3495   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3496   (exit $ac_status); }; } &&
    3497          { ac_try='test -s conftest$ac_exeext'
    3498   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3499   (eval $ac_try) 2>&5
    3500   ac_status=$?
    3501   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3502   (exit $ac_status); }; }; then
    3503   coin_add_fflags="-mno-cygwin $coin_add_fflags"
    3504 else
    3505   echo "$as_me: failed program was:" >&5
    3506 sed 's/^/| /' conftest.$ac_ext >&5
    3507 
    3508 fi
    3509 rm -f conftest.err conftest.$ac_objext \
    3510       conftest$ac_exeext conftest.$ac_ext
    3511         FFLAGS=
    3512       ;;
    3513     esac
    35143526  else
    35153527    case $build in
     
    35173529        case $F77 in
    35183530          ifort* | */ifort* | IFORT* | */IFORT* )
    3519             coin_opt_fflags='-MT -O3'
     3531            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     3532              coin_opt_fflags='-MD -O3'
     3533              coin_dbg_fflags='-MDd -debug'
     3534            else
     3535              coin_opt_fflags='-MT -O3'
     3536              coin_dbg_fflags='-MTd -debug'
     3537            fi
    35203538            coin_add_fflags='-fpp -nologo'
    3521             coin_dbg_fflags='-MTd -debug'
    35223539          ;;
    35233540          compile_f2c*)
    3524             coin_opt_fflags='-MT -O2'
     3541            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     3542              coin_opt_fflags='-MD -O2'
     3543              coin_dbg_fflags='-MDd'
     3544            else
     3545              coin_opt_fflags='-MT -O2'
     3546              coin_dbg_fflags='-MTd'
     3547            fi
    35253548            coin_add_fflags='-nologo -wd4996'
    3526             coin_dbg_fflags='-MTd'
    35273549          ;;
    35283550        esac
     
    36693691    FFLAGS="$OPT_FFLAGS"
    36703692  fi
     3693
    36713694else
    36723695  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    37933816case "$F77" in
    37943817  ifort* | */ifort* | IFORT* | */IFORT*)
    3795     case $build in
     3818
     3819 case $build in
    37963820  *-mingw*)
    37973821    if test "${LD+set}" = set; then :; else
     
    38003824    ;;
    38013825 esac
    3802  case $enable_doscompile in
    3803    msvc)
    3804      if test "x${LD+set}" = xset; then :; else
    3805        LD=link
    3806      fi
    3807      ;;
    3808  esac
     3826 if test $enable_msvc = yes ; then
     3827   if test "x${LD+set}" = xset; then :; else
     3828     LD=link
     3829   fi
     3830 fi
    38093831
    38103832    ;;
    38113833esac
     3834
     3835# check whether to add flag for static linking against standard libraries to LDFLAGS
     3836if test x$use_static_standardlibs != xno ; then
     3837  case $build in
     3838    *-mingw*)
     3839      static_standardlib_flag=-static
     3840      ;;
     3841    *)
     3842      static_standardlib_flag=-static-libgfortran
     3843      ;;
     3844  esac
     3845  case " $LDFLAGS " in
     3846    *" $static_standardlib_flag "* ) ;;
     3847    *)
     3848    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3849echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3850    coin_save_LDFLAGS="$LDFLAGS"
     3851    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3852    cat >conftest.$ac_ext <<_ACEOF
     3853      program main
     3854      integer i
     3855      end
     3856_ACEOF
     3857rm -f conftest.$ac_objext conftest$ac_exeext
     3858if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3859  (eval $ac_link) 2>conftest.er1
     3860  ac_status=$?
     3861  grep -v '^ *+' conftest.er1 >conftest.err
     3862  rm -f conftest.er1
     3863  cat conftest.err >&5
     3864  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3865  (exit $ac_status); } &&
     3866         { ac_try='test -z "$ac_f77_werror_flag"
     3867                         || test ! -s conftest.err'
     3868  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3869  (eval $ac_try) 2>&5
     3870  ac_status=$?
     3871  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3872  (exit $ac_status); }; } &&
     3873         { ac_try='test -s conftest$ac_exeext'
     3874  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3875  (eval $ac_try) 2>&5
     3876  ac_status=$?
     3877  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3878  (exit $ac_status); }; }; then
     3879  echo "$as_me:$LINENO: result: yes" >&5
     3880echo "${ECHO_T}yes" >&6
     3881else
     3882  echo "$as_me: failed program was:" >&5
     3883sed 's/^/| /' conftest.$ac_ext >&5
     3884
     3885echo "$as_me:$LINENO: result: no" >&5
     3886echo "${ECHO_T}no" >&6
     3887       LDFLAGS="$coin_save_LDFLAGS"
     3888       if test $use_static_standardlibs = yes ; then
     3889         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3890echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3891   { (exit 1); exit 1; }; }
     3892       fi
     3893
     3894fi
     3895rm -f conftest.err conftest.$ac_objext \
     3896      conftest$ac_exeext conftest.$ac_ext
     3897    ;;
     3898  esac
     3899fi
    38123900
    38133901ac_ext=c
     
    38713959ac_save_FFLAGS=$FFLAGS
    38723960FFLAGS="$FFLAGS $ac_verb"
    3873 (eval echo $as_me:3873: \"$ac_link\") >&5
     3961(eval echo $as_me:3961: \"$ac_link\") >&5
    38743962ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    38753963echo "$ac_f77_v_output" >&5
     
    39494037ac_save_FFLAGS=$FFLAGS
    39504038FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    3951 (eval echo $as_me:3951: \"$ac_link\") >&5
     4039(eval echo $as_me:4039: \"$ac_link\") >&5
    39524040ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    39534041echo "$ac_f77_v_output" >&5
     
    49225010 #Let's try if that overcomes configuration problem with VC++ 6.0
    49235011
     5012
    49245013ac_ext=cc
    49255014ac_cpp='$CXXCPP $CPPFLAGS'
     
    49405029case $build in
    49415030  *-cygwin* | *-mingw*)
    4942              if test "$enable_doscompile" = msvc ; then
    4943                comps="icl cl"
    4944              else
    4945                comps="g++ cl"
    4946              fi ;;
     5031      if test "$enable_msvc" = yes ; then
     5032         comps="icl cl g++"
     5033      else
     5034         comps="g++ icl cl"
     5035      fi ;;
    49475036  *-*-solaris*)
    49485037             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     
    54535542echo "$as_me: Overruling autoconf; cl does not recognise -g." >&6;}
    54545543    fi ;;
     5544  * )
     5545    CYGPATH_W=echo
     5546    ;;
    54555547esac
    54565548CXXFLAGS="$save_cxxflags"
     
    54895581            ;;
    54905582        esac
    5491 
    5492         case $enable_doscompile in
    5493           mingw)
    5494             CXXFLAGS="-mno-cygwin"
    5495             cat >conftest.$ac_ext <<_ACEOF
    5496 /* confdefs.h.  */
    5497 _ACEOF
    5498 cat confdefs.h >>conftest.$ac_ext
    5499 cat >>conftest.$ac_ext <<_ACEOF
    5500 /* end confdefs.h.  */
    5501 
    5502 #ifdef F77_DUMMY_MAIN
    5503 
    5504 #  ifdef __cplusplus
    5505      extern "C"
    5506 #  endif
    5507    int F77_DUMMY_MAIN() { return 1; }
    5508 
    5509 #endif
    5510 int
    5511 main ()
    5512 {
    5513 int i=0; i++;
    5514   ;
    5515   return 0;
    5516 }
    5517 _ACEOF
    5518 rm -f conftest.$ac_objext conftest$ac_exeext
    5519 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    5520   (eval $ac_link) 2>conftest.er1
    5521   ac_status=$?
    5522   grep -v '^ *+' conftest.er1 >conftest.err
    5523   rm -f conftest.er1
    5524   cat conftest.err >&5
    5525   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5526   (exit $ac_status); } &&
    5527          { ac_try='test -z "$ac_cxx_werror_flag"
    5528                          || test ! -s conftest.err'
    5529   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5530   (eval $ac_try) 2>&5
    5531   ac_status=$?
    5532   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5533   (exit $ac_status); }; } &&
    5534          { ac_try='test -s conftest$ac_exeext'
    5535   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5536   (eval $ac_try) 2>&5
    5537   ac_status=$?
    5538   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5539   (exit $ac_status); }; }; then
    5540   coin_add_cxxflags="-mno-cygwin $coin_add_cxxflags"
    5541 else
    5542   echo "$as_me: failed program was:" >&5
    5543 sed 's/^/| /' conftest.$ac_ext >&5
    5544 
    5545 fi
    5546 rm -f conftest.err conftest.$ac_objext \
    5547       conftest$ac_exeext conftest.$ac_ext
    5548             CXXFLAGS=
    5549           ;;
    5550         esac
    55515583    esac
    55525584  fi
     
    55605592          clang* ) ;;
    55615593          cl* | */cl* | CL* | */CL*)
    5562             # The MT and MTd options are mutually exclusive
    5563             coin_opt_cxxflags='-MT -O2'
     5594            # The MT and MTd options are mutually exclusive
     5595            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     5596               coin_opt_cxxflags='-MD -O2'
     5597               coin_dbg_cxxflags='-MDd'
     5598            else
     5599               coin_opt_cxxflags='-MT -O2'
     5600               coin_dbg_cxxflags='-MTd'
     5601            fi
    55645602            coin_add_cxxflags='-nologo -EHsc -GR -wd4996 -D_CRT_SECURE_NO_DEPRECATE'
    5565             coin_dbg_cxxflags='-MTd'
    55665603            ;;
    55675604          icl* | */icl* | ICL* | */ICL*)
    5568             # The MT and MTd options are mutually exclusive
    5569             coin_opt_cxxflags='-MT -Ox'
     5605          # The MT and MTd options are mutually exclusive
     5606            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     5607              coin_opt_cxxflags='-MD -Ox'
     5608              coin_dbg_cxxflags='-MDd -debug'
     5609            else
     5610              coin_opt_cxxflags='-MT -Ox'
     5611              coin_dbg_cxxflags='-MTd -debug'
     5612            fi
    55705613            coin_add_cxxflags='-nologo -EHsc -GR -D_CRT_SECURE_NO_DEPRECATE'
    5571             coin_dbg_cxxflags='-MTd -debug'
    55725614            ;;
    55735615        esac
     
    59225964  clang* ) ;;
    59235965  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    5924     case $build in
     5966
     5967 case $build in
    59255968  *-mingw*)
    59265969    if test "${LD+set}" = set; then :; else
     
    59295972    ;;
    59305973 esac
    5931  case $enable_doscompile in
    5932    msvc)
    5933      if test "x${LD+set}" = xset; then :; else
    5934        LD=link
    5935      fi
    5936      ;;
    5937  esac
     5974 if test $enable_msvc = yes ; then
     5975   if test "x${LD+set}" = xset; then :; else
     5976     LD=link
     5977   fi
     5978 fi
    59385979
    59395980    ;;
    59405981esac
     5982
     5983# check whether to add flag for static linking against standard libraries to LDFLAGS
     5984if test x$use_static_standardlibs != xno ; then
     5985  case $build in
     5986    *-mingw*)
     5987      static_standardlib_flag=-static
     5988      ;;
     5989    *)
     5990      static_standardlib_flag=-static-libstdc++
     5991      ;;
     5992  esac
     5993  case " $LDFLAGS " in
     5994    *" $static_standardlib_flag "* ) ;;
     5995    *)
     5996    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     5997echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     5998    coin_save_LDFLAGS="$LDFLAGS"
     5999    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     6000    cat >conftest.$ac_ext <<_ACEOF
     6001/* confdefs.h.  */
     6002_ACEOF
     6003cat confdefs.h >>conftest.$ac_ext
     6004cat >>conftest.$ac_ext <<_ACEOF
     6005/* end confdefs.h.  */
     6006
     6007#ifdef F77_DUMMY_MAIN
     6008
     6009#  ifdef __cplusplus
     6010     extern "C"
     6011#  endif
     6012   int F77_DUMMY_MAIN() { return 1; }
     6013
     6014#endif
     6015int
     6016main ()
     6017{
     6018int i=0;
     6019  ;
     6020  return 0;
     6021}
     6022_ACEOF
     6023rm -f conftest.$ac_objext conftest$ac_exeext
     6024if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     6025  (eval $ac_link) 2>conftest.er1
     6026  ac_status=$?
     6027  grep -v '^ *+' conftest.er1 >conftest.err
     6028  rm -f conftest.er1
     6029  cat conftest.err >&5
     6030  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6031  (exit $ac_status); } &&
     6032         { ac_try='test -z "$ac_cxx_werror_flag"
     6033                         || test ! -s conftest.err'
     6034  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6035  (eval $ac_try) 2>&5
     6036  ac_status=$?
     6037  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6038  (exit $ac_status); }; } &&
     6039         { ac_try='test -s conftest$ac_exeext'
     6040  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6041  (eval $ac_try) 2>&5
     6042  ac_status=$?
     6043  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6044  (exit $ac_status); }; }; then
     6045  echo "$as_me:$LINENO: result: yes" >&5
     6046echo "${ECHO_T}yes" >&6
     6047else
     6048  echo "$as_me: failed program was:" >&5
     6049sed 's/^/| /' conftest.$ac_ext >&5
     6050
     6051echo "$as_me:$LINENO: result: no" >&5
     6052echo "${ECHO_T}no" >&6
     6053       LDFLAGS="$coin_save_LDFLAGS"
     6054       if test $use_static_standardlibs = yes ; then
     6055         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     6056echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     6057   { (exit 1); exit 1; }; }
     6058       fi
     6059
     6060fi
     6061rm -f conftest.err conftest.$ac_objext \
     6062      conftest$ac_exeext conftest.$ac_ext
     6063    ;;
     6064  esac
     6065fi
    59416066
    59426067ac_ext=c
     
    59496074
    59506075# Get the name of the C compiler and appropriate compiler options
     6076
    59516077
    59526078
     
    59896115case $build in
    59906116  *-cygwin* | *-mingw*)
    5991              if test "$enable_doscompile" = msvc ; then
    5992                comps="icl cl"
     6117             if test "$enable_msvc" = yes ; then
     6118               comps="icl cl gcc"
    59936119             else
    5994                comps="gcc cl"
     6120               comps="gcc icl cl"
    59956121             fi ;;
    59966122  *-*-solaris*)
     
    66286754echo "$as_me: Overruling autoconf; cl does not recognise -g." >&6;}
    66296755    fi ;;
     6756  * )
     6757    CYGPATH_W=echo
     6758    ;;
    66306759esac
    66316760CFLAGS="$save_cflags"
     
    66816810            ;;
    66826811        esac
    6683         case $enable_doscompile in
    6684           mingw)
    6685             CFLAGS="-mno-cygwin"
    6686             cat >conftest.$ac_ext <<_ACEOF
    6687 /* confdefs.h.  */
    6688 _ACEOF
    6689 cat confdefs.h >>conftest.$ac_ext
    6690 cat >>conftest.$ac_ext <<_ACEOF
    6691 /* end confdefs.h.  */
    6692 
    6693 #ifdef F77_DUMMY_MAIN
    6694 
    6695 #  ifdef __cplusplus
    6696      extern "C"
    6697 #  endif
    6698    int F77_DUMMY_MAIN() { return 1; }
    6699 
    6700 #endif
    6701 int
    6702 main ()
    6703 {
    6704 int i=0; i++;
    6705   ;
    6706   return 0;
    6707 }
    6708 _ACEOF
    6709 rm -f conftest.$ac_objext conftest$ac_exeext
    6710 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6711   (eval $ac_link) 2>conftest.er1
    6712   ac_status=$?
    6713   grep -v '^ *+' conftest.er1 >conftest.err
    6714   rm -f conftest.er1
    6715   cat conftest.err >&5
    6716   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6717   (exit $ac_status); } &&
    6718          { ac_try='test -z "$ac_c_werror_flag"
    6719                          || test ! -s conftest.err'
    6720   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6721   (eval $ac_try) 2>&5
    6722   ac_status=$?
    6723   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6724   (exit $ac_status); }; } &&
    6725          { ac_try='test -s conftest$ac_exeext'
    6726   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6727   (eval $ac_try) 2>&5
    6728   ac_status=$?
    6729   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6730   (exit $ac_status); }; }; then
    6731   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    6732 else
    6733   echo "$as_me: failed program was:" >&5
    6734 sed 's/^/| /' conftest.$ac_ext >&5
    6735 
    6736 fi
    6737 rm -f conftest.err conftest.$ac_objext \
    6738       conftest$ac_exeext conftest.$ac_ext
    6739             CFLAGS=
    6740           ;;
    6741         esac
    67426812    esac
    67436813  fi
     
    67486818          clang* ) ;;
    67496819          cl* | */cl* | CL* | */CL*)
    6750             coin_opt_cflags='-MT -O2'
     6820            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     6821              coin_opt_cflags='-MD -O2'
     6822              coin_dbg_cflags='-MDd'
     6823            else
     6824              coin_opt_cflags='-MT -O2'
     6825              coin_dbg_cflags='-MTd'
     6826            fi
    67516827            coin_add_cflags='-nologo -wd4996 -D_CRT_SECURE_NO_DEPRECATE'
    6752             coin_dbg_cflags='-MTd'
    67536828            ;;
    67546829          icl* | */icl* | ICL* | */ICL*)
    6755             coin_opt_cflags='-MT -Ox'
     6830            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     6831              coin_opt_cflags='-MD -Ox'
     6832              coin_dbg_cflags='-MDd -debug'
     6833            else
     6834              coin_opt_cflags='-MT -Ox'
     6835              coin_dbg_cflags='-MTd -debug'
     6836            fi
    67566837            coin_add_cflags='-nologo -D_CRT_SECURE_NO_DEPRECATE'
    6757             coin_dbg_cflags='-MTd -debug'
    67586838            ;;
    67596839        esac
     
    69367016    CFLAGS="$OPT_CFLAGS"
    69377017  fi
     7018
    69387019else
    69397020  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    71027183  clang* ) ;;
    71037184  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    7104     case $build in
     7185
     7186 case $build in
    71057187  *-mingw*)
    71067188    if test "${LD+set}" = set; then :; else
     
    71097191    ;;
    71107192 esac
    7111  case $enable_doscompile in
    7112    msvc)
    7113      if test "x${LD+set}" = xset; then :; else
    7114        LD=link
    7115      fi
    7116      ;;
    7117  esac
     7193 if test $enable_msvc = yes ; then
     7194   if test "x${LD+set}" = xset; then :; else
     7195     LD=link
     7196   fi
     7197 fi
    71187198
    71197199    ;;
    71207200esac
     7201
     7202# check whether to add flags for static linking against standard libraries to LDFLAGS
     7203if test x$use_static_standardlibs != xno ; then
     7204  case $build in
     7205    *-mingw*)
     7206      static_standardlib_flag=-static
     7207      ;;
     7208    *)
     7209      static_standardlib_flag=-static-libgcc
     7210      ;;
     7211  esac
     7212  case " $LDFLAGS " in
     7213    *" $static_standardlib_flag "* ) ;;
     7214    *)
     7215    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     7216echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     7217    coin_save_LDFLAGS="$LDFLAGS"
     7218    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     7219    cat >conftest.$ac_ext <<_ACEOF
     7220/* confdefs.h.  */
     7221_ACEOF
     7222cat confdefs.h >>conftest.$ac_ext
     7223cat >>conftest.$ac_ext <<_ACEOF
     7224/* end confdefs.h.  */
     7225
     7226#ifdef F77_DUMMY_MAIN
     7227
     7228#  ifdef __cplusplus
     7229     extern "C"
     7230#  endif
     7231   int F77_DUMMY_MAIN() { return 1; }
     7232
     7233#endif
     7234int
     7235main ()
     7236{
     7237int i=0;
     7238  ;
     7239  return 0;
     7240}
     7241_ACEOF
     7242rm -f conftest.$ac_objext conftest$ac_exeext
     7243if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     7244  (eval $ac_link) 2>conftest.er1
     7245  ac_status=$?
     7246  grep -v '^ *+' conftest.er1 >conftest.err
     7247  rm -f conftest.er1
     7248  cat conftest.err >&5
     7249  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7250  (exit $ac_status); } &&
     7251         { ac_try='test -z "$ac_c_werror_flag"
     7252                         || test ! -s conftest.err'
     7253  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7254  (eval $ac_try) 2>&5
     7255  ac_status=$?
     7256  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7257  (exit $ac_status); }; } &&
     7258         { ac_try='test -s conftest$ac_exeext'
     7259  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7260  (eval $ac_try) 2>&5
     7261  ac_status=$?
     7262  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7263  (exit $ac_status); }; }; then
     7264  echo "$as_me:$LINENO: result: yes" >&5
     7265echo "${ECHO_T}yes" >&6
     7266else
     7267  echo "$as_me: failed program was:" >&5
     7268sed 's/^/| /' conftest.$ac_ext >&5
     7269
     7270echo "$as_me:$LINENO: result: no" >&5
     7271echo "${ECHO_T}no" >&6
     7272       LDFLAGS="$coin_save_LDFLAGS"
     7273       if test $use_static_standardlibs = yes ; then
     7274         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     7275echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     7276   { (exit 1); exit 1; }; }
     7277       fi
     7278
     7279fi
     7280rm -f conftest.err conftest.$ac_objext \
     7281      conftest$ac_exeext conftest.$ac_ext
     7282    ;;
     7283  esac
     7284fi
    71217285
    71227286ac_ext=c
     
    71357299# START
    71367300
     7301coin_disable_shared=no
    71377302# Test if force_shared has been set
    71387303if test "x" = xforce_shared; then
     
    71467311  # On Cygwin and AIX, building DLLs doesn't work
    71477312  case $build in
    7148     *-cygwin*)
     7313    *-cygwin* | *-mingw*)
    71497314      coin_disable_shared=yes
    7150       platform=Cygwin
     7315      if test x"$enable_shared" = xyes; then
     7316        case "$CXX" in
     7317          clang* )
     7318            { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice." >&5
     7319echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice." >&2;}
     7320            ;;
     7321          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     7322            { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&5
     7323echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&2;}
     7324            ;;
     7325          *)
     7326            { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice." >&5
     7327echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice." >&2;}
     7328            ;;
     7329        esac
     7330      fi
    71517331    ;;
    71527332    *-aix*)
    71537333      coin_disable_shared=yes
    71547334      platform=AIX
    7155     ;;
    7156     *-mingw*)
    7157       coin_disable_shared=yes
    7158       platform="Msys"
    7159 #      case "$CXX" in
    7160 #        cl*)
    7161 #          coin_disable_shared=yes
    7162 #          platform="Msys with cl"
    7163 #      ;;
    7164 #      esac
     7335      if test x"$enable_shared" = xyes; then
     7336        { echo "$as_me:$LINENO: WARNING: Shared objects are not supported. I'm disabling your choice." >&5
     7337echo "$as_me: WARNING: Shared objects are not supported. I'm disabling your choice." >&2;}
     7338      fi
    71657339    ;;
    71667340  esac
     
    71687342if test x"$coin_disable_shared" = xyes; then
    71697343  if test x"$enable_shared" = xyes; then
    7170     { echo "$as_me:$LINENO: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&5
    7171 echo "$as_me: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&2;}
     7344    :
     7345  else
     7346    # we don't disable shared, because it was not selected anyway
     7347    coin_disable_shared=no
    71727348  fi
    71737349  enable_shared=no
     
    88769052*-*-irix6*)
    88779053  # Find out which ABI we are using.
    8878   echo '#line 8878 "configure"' > conftest.$ac_ext
     9054  echo '#line 9054 "configure"' > conftest.$ac_ext
    88799055  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    88809056  (eval $ac_compile) 2>&5
     
    1085611032   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1085711033   -e 's:$: $lt_compiler_flag:'`
    10858    (eval echo "\"\$as_me:10858: $lt_compile\"" >&5)
     11034   (eval echo "\"\$as_me:11034: $lt_compile\"" >&5)
    1085911035   (eval "$lt_compile" 2>conftest.err)
    1086011036   ac_status=$?
    1086111037   cat conftest.err >&5
    10862    echo "$as_me:10862: \$? = $ac_status" >&5
     11038   echo "$as_me:11038: \$? = $ac_status" >&5
    1086311039   if (exit $ac_status) && test -s "$ac_outfile"; then
    1086411040     # The compiler can only warn and ignore the option if not recognized
     
    1112411300   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1112511301   -e 's:$: $lt_compiler_flag:'`
    11126    (eval echo "\"\$as_me:11126: $lt_compile\"" >&5)
     11302   (eval echo "\"\$as_me:11302: $lt_compile\"" >&5)
    1112711303   (eval "$lt_compile" 2>conftest.err)
    1112811304   ac_status=$?
    1112911305   cat conftest.err >&5
    11130    echo "$as_me:11130: \$? = $ac_status" >&5
     11306   echo "$as_me:11306: \$? = $ac_status" >&5
    1113111307   if (exit $ac_status) && test -s "$ac_outfile"; then
    1113211308     # The compiler can only warn and ignore the option if not recognized
     
    1122811404   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1122911405   -e 's:$: $lt_compiler_flag:'`
    11230    (eval echo "\"\$as_me:11230: $lt_compile\"" >&5)
     11406   (eval echo "\"\$as_me:11406: $lt_compile\"" >&5)
    1123111407   (eval "$lt_compile" 2>out/conftest.err)
    1123211408   ac_status=$?
    1123311409   cat out/conftest.err >&5
    11234    echo "$as_me:11234: \$? = $ac_status" >&5
     11410   echo "$as_me:11410: \$? = $ac_status" >&5
    1123511411   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1123611412   then
     
    1364513821  lt_status=$lt_dlunknown
    1364613822  cat > conftest.$ac_ext <<EOF
    13647 #line 13647 "configure"
     13823#line 13823 "configure"
    1364813824#include "confdefs.h"
    1364913825
     
    1374513921  lt_status=$lt_dlunknown
    1374613922  cat > conftest.$ac_ext <<EOF
    13747 #line 13747 "configure"
     13923#line 13923 "configure"
    1374813924#include "confdefs.h"
    1374913925
     
    1610516281   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1610616282   -e 's:$: $lt_compiler_flag:'`
    16107    (eval echo "\"\$as_me:16107: $lt_compile\"" >&5)
     16283   (eval echo "\"\$as_me:16283: $lt_compile\"" >&5)
    1610816284   (eval "$lt_compile" 2>conftest.err)
    1610916285   ac_status=$?
    1611016286   cat conftest.err >&5
    16111    echo "$as_me:16111: \$? = $ac_status" >&5
     16287   echo "$as_me:16287: \$? = $ac_status" >&5
    1611216288   if (exit $ac_status) && test -s "$ac_outfile"; then
    1611316289     # The compiler can only warn and ignore the option if not recognized
     
    1620916385   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1621016386   -e 's:$: $lt_compiler_flag:'`
    16211    (eval echo "\"\$as_me:16211: $lt_compile\"" >&5)
     16387   (eval echo "\"\$as_me:16387: $lt_compile\"" >&5)
    1621216388   (eval "$lt_compile" 2>out/conftest.err)
    1621316389   ac_status=$?
    1621416390   cat out/conftest.err >&5
    16215    echo "$as_me:16215: \$? = $ac_status" >&5
     16391   echo "$as_me:16391: \$? = $ac_status" >&5
    1621616392   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1621716393   then
     
    1777917955   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1778017956   -e 's:$: $lt_compiler_flag:'`
    17781    (eval echo "\"\$as_me:17781: $lt_compile\"" >&5)
     17957   (eval echo "\"\$as_me:17957: $lt_compile\"" >&5)
    1778217958   (eval "$lt_compile" 2>conftest.err)
    1778317959   ac_status=$?
    1778417960   cat conftest.err >&5
    17785    echo "$as_me:17785: \$? = $ac_status" >&5
     17961   echo "$as_me:17961: \$? = $ac_status" >&5
    1778617962   if (exit $ac_status) && test -s "$ac_outfile"; then
    1778717963     # The compiler can only warn and ignore the option if not recognized
     
    1788318059   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1788418060   -e 's:$: $lt_compiler_flag:'`
    17885    (eval echo "\"\$as_me:17885: $lt_compile\"" >&5)
     18061   (eval echo "\"\$as_me:18061: $lt_compile\"" >&5)
    1788618062   (eval "$lt_compile" 2>out/conftest.err)
    1788718063   ac_status=$?
    1788818064   cat out/conftest.err >&5
    17889    echo "$as_me:17889: \$? = $ac_status" >&5
     18065   echo "$as_me:18065: \$? = $ac_status" >&5
    1789018066   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1789118067   then
     
    2009020266   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2009120267   -e 's:$: $lt_compiler_flag:'`
    20092    (eval echo "\"\$as_me:20092: $lt_compile\"" >&5)
     20268   (eval echo "\"\$as_me:20268: $lt_compile\"" >&5)
    2009320269   (eval "$lt_compile" 2>conftest.err)
    2009420270   ac_status=$?
    2009520271   cat conftest.err >&5
    20096    echo "$as_me:20096: \$? = $ac_status" >&5
     20272   echo "$as_me:20272: \$? = $ac_status" >&5
    2009720273   if (exit $ac_status) && test -s "$ac_outfile"; then
    2009820274     # The compiler can only warn and ignore the option if not recognized
     
    2035820534   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2035920535   -e 's:$: $lt_compiler_flag:'`
    20360    (eval echo "\"\$as_me:20360: $lt_compile\"" >&5)
     20536   (eval echo "\"\$as_me:20536: $lt_compile\"" >&5)
    2036120537   (eval "$lt_compile" 2>conftest.err)
    2036220538   ac_status=$?
    2036320539   cat conftest.err >&5
    20364    echo "$as_me:20364: \$? = $ac_status" >&5
     20540   echo "$as_me:20540: \$? = $ac_status" >&5
    2036520541   if (exit $ac_status) && test -s "$ac_outfile"; then
    2036620542     # The compiler can only warn and ignore the option if not recognized
     
    2046220638   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2046320639   -e 's:$: $lt_compiler_flag:'`
    20464    (eval echo "\"\$as_me:20464: $lt_compile\"" >&5)
     20640   (eval echo "\"\$as_me:20640: $lt_compile\"" >&5)
    2046520641   (eval "$lt_compile" 2>out/conftest.err)
    2046620642   ac_status=$?
    2046720643   cat out/conftest.err >&5
    20468    echo "$as_me:20468: \$? = $ac_status" >&5
     20644   echo "$as_me:20644: \$? = $ac_status" >&5
    2046920645   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    2047020646   then
     
    2323623412          -e 's%lib /OUT:%lib -OUT:%' \
    2323723413          -e "s%cygpath -w%$CYGPATH_W%" \
    23238           -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\`lib -nologo -list \\$f_ex_an_ar_oldlib | xargs echo '"$mydos2unix"'\\`; echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$f_ex_an_ar_oldlib; done%' \
    23239           -e 's/$AR t/lib -nologo -list/' \
     23414          -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
     23415          -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
    2324023416          -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    2324123417          -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     
    2372923905  use_pkgconfig="$enableval"
    2373023906else
    23731   use_pkgconfig=yes
     23907  if test x$coin_cc_is_cl = xtrue; then
     23908     use_pkgconfig=no
     23909   else
     23910     use_pkgconfig=yes
     23911   fi
    2373223912fi;
    2373323913
     
    2373923919echo "$as_me:$LINENO: checking for $ac_word" >&5
    2374023920echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    23741 if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
     23921if test "${ac_cv_prog_PKG_CONFIG+set}" = set; then
    2374223922  echo $ECHO_N "(cached) $ECHO_C" >&6
    2374323923else
    23744   case $PKG_CONFIG in
    23745   [\\/]* | ?:[\\/]*)
    23746   ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
    23747   ;;
    23748   *)
    23749   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     23924  if test -n "$PKG_CONFIG"; then
     23925  ac_cv_prog_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test.
     23926else
     23927as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    2375023928for as_dir in $PATH
    2375123929do
     
    2375423932  for ac_exec_ext in '' $ac_executable_extensions; do
    2375523933  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    23756     ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     23934    ac_cv_prog_PKG_CONFIG="${ac_tool_prefix}pkg-config"
    2375723935    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    2375823936    break 2
     
    2376123939done
    2376223940
    23763   ;;
    23764 esac
    23765 fi
    23766 PKG_CONFIG=$ac_cv_path_PKG_CONFIG
    23767 
     23941fi
     23942fi
     23943PKG_CONFIG=$ac_cv_prog_PKG_CONFIG
    2376823944if test -n "$PKG_CONFIG"; then
    2376923945  echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
     
    2377523951
    2377623952fi
    23777 if test -z "$ac_cv_path_PKG_CONFIG"; then
    23778   ac_pt_PKG_CONFIG=$PKG_CONFIG
     23953if test -z "$ac_cv_prog_PKG_CONFIG"; then
     23954  ac_ct_PKG_CONFIG=$PKG_CONFIG
    2377923955  # Extract the first word of "pkg-config", so it can be a program name with args.
    2378023956set dummy pkg-config; ac_word=$2
    2378123957echo "$as_me:$LINENO: checking for $ac_word" >&5
    2378223958echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    23783 if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then
     23959if test "${ac_cv_prog_ac_ct_PKG_CONFIG+set}" = set; then
    2378423960  echo $ECHO_N "(cached) $ECHO_C" >&6
    2378523961else
    23786   case $ac_pt_PKG_CONFIG in
    23787   [\\/]* | ?:[\\/]*)
    23788   ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path.
    23789   ;;
    23790   *)
    23791   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     23962  if test -n "$ac_ct_PKG_CONFIG"; then
     23963  ac_cv_prog_ac_ct_PKG_CONFIG="$ac_ct_PKG_CONFIG" # Let the user override the test.
     23964else
     23965as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    2379223966for as_dir in $PATH
    2379323967do
     
    2379623970  for ac_exec_ext in '' $ac_executable_extensions; do
    2379723971  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    23798     ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     23972    ac_cv_prog_ac_ct_PKG_CONFIG="pkg-config"
    2379923973    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    2380023974    break 2
     
    2380323977done
    2380423978
    23805   ;;
    23806 esac
    23807 fi
    23808 ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
    23809 
    23810 if test -n "$ac_pt_PKG_CONFIG"; then
    23811   echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5
    23812 echo "${ECHO_T}$ac_pt_PKG_CONFIG" >&6
     23979fi
     23980fi
     23981ac_ct_PKG_CONFIG=$ac_cv_prog_ac_ct_PKG_CONFIG
     23982if test -n "$ac_ct_PKG_CONFIG"; then
     23983  echo "$as_me:$LINENO: result: $ac_ct_PKG_CONFIG" >&5
     23984echo "${ECHO_T}$ac_ct_PKG_CONFIG" >&6
    2381323985else
    2381423986  echo "$as_me:$LINENO: result: no" >&5
     
    2381623988fi
    2381723989
    23818   PKG_CONFIG=$ac_pt_PKG_CONFIG
    23819 else
    23820   PKG_CONFIG="$ac_cv_path_PKG_CONFIG"
     23990  PKG_CONFIG=$ac_ct_PKG_CONFIG
     23991else
     23992  PKG_CONFIG="$ac_cv_prog_PKG_CONFIG"
    2382123993fi
    2382223994
     
    2959829770echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2959929771coin_link_input_cmd="$LN_S"
    29600 if test "$enable_doscompile" = mingw; then
    29601   coin_link_input_cmd=cp
    29602 fi
    2960329772case "$CC" in
    2960429773  clang* ) ;;
     
    3059830767s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
    3059930768s,@PKG_CONFIG@,$PKG_CONFIG,;t t
    30600 s,@ac_pt_PKG_CONFIG@,$ac_pt_PKG_CONFIG,;t t
     30769s,@ac_ct_PKG_CONFIG@,$ac_ct_PKG_CONFIG,;t t
    3060130770s,@COIN_HAS_PKGCONFIG_TRUE@,$COIN_HAS_PKGCONFIG_TRUE,;t t
    3060230771s,@COIN_HAS_PKGCONFIG_FALSE@,$COIN_HAS_PKGCONFIG_FALSE,;t t
  • trunk/Couenne/src/Makefile.in

    r1009 r1010  
    344344ac_ct_CXX = @ac_ct_CXX@
    345345ac_ct_F77 = @ac_ct_F77@
     346ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    346347ac_ct_RANLIB = @ac_ct_RANLIB@
    347348ac_ct_STRIP = @ac_ct_STRIP@
    348349ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    349 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    350350am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    351351am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/bound_tightening/Makefile.in

    r1009 r1010  
    269269ac_ct_CXX = @ac_ct_CXX@
    270270ac_ct_F77 = @ac_ct_F77@
     271ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    271272ac_ct_RANLIB = @ac_ct_RANLIB@
    272273ac_ct_STRIP = @ac_ct_STRIP@
    273274ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    274 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    275275am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    276276am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/bound_tightening/twoImpliedBT/Makefile.in

    r1009 r1010  
    263263ac_ct_CXX = @ac_ct_CXX@
    264264ac_ct_F77 = @ac_ct_F77@
     265ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    265266ac_ct_RANLIB = @ac_ct_RANLIB@
    266267ac_ct_STRIP = @ac_ct_STRIP@
    267268ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    268 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    269269am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    270270am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/branch/Makefile.in

    r1009 r1010  
    280280ac_ct_CXX = @ac_ct_CXX@
    281281ac_ct_F77 = @ac_ct_F77@
     282ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    282283ac_ct_RANLIB = @ac_ct_RANLIB@
    283284ac_ct_STRIP = @ac_ct_STRIP@
    284285ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    285 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    286286am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    287287am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/convex/Makefile.in

    r1009 r1010  
    264264ac_ct_CXX = @ac_ct_CXX@
    265265ac_ct_F77 = @ac_ct_F77@
     266ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    266267ac_ct_RANLIB = @ac_ct_RANLIB@
    267268ac_ct_STRIP = @ac_ct_STRIP@
    268269ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    269 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    270270am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    271271am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/cut/crossconv/Makefile.in

    r1009 r1010  
    260260ac_ct_CXX = @ac_ct_CXX@
    261261ac_ct_F77 = @ac_ct_F77@
     262ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    262263ac_ct_RANLIB = @ac_ct_RANLIB@
    263264ac_ct_STRIP = @ac_ct_STRIP@
    264265ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    265 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    266266am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    267267am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/cut/sdpcuts/Makefile.in

    r1009 r1010  
    261261ac_ct_CXX = @ac_ct_CXX@
    262262ac_ct_F77 = @ac_ct_F77@
     263ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    263264ac_ct_RANLIB = @ac_ct_RANLIB@
    264265ac_ct_STRIP = @ac_ct_STRIP@
    265266ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    266 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    267267am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    268268am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/disjunctive/Makefile.in

    r1009 r1010  
    263263ac_ct_CXX = @ac_ct_CXX@
    264264ac_ct_F77 = @ac_ct_F77@
     265ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    265266ac_ct_RANLIB = @ac_ct_RANLIB@
    266267ac_ct_STRIP = @ac_ct_STRIP@
    267268ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    268 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    269269am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    270270am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/expression/Makefile.in

    r1009 r1010  
    279279ac_ct_CXX = @ac_ct_CXX@
    280280ac_ct_F77 = @ac_ct_F77@
     281ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    281282ac_ct_RANLIB = @ac_ct_RANLIB@
    282283ac_ct_STRIP = @ac_ct_STRIP@
    283284ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    284 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    285285am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    286286am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/heuristics/Makefile.in

    r1009 r1010  
    276276ac_ct_CXX = @ac_ct_CXX@
    277277ac_ct_F77 = @ac_ct_F77@
     278ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    278279ac_ct_RANLIB = @ac_ct_RANLIB@
    279280ac_ct_STRIP = @ac_ct_STRIP@
    280281ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    281 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    282282am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    283283am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/interfaces/Makefile.in

    r1009 r1010  
    261261ac_ct_CXX = @ac_ct_CXX@
    262262ac_ct_F77 = @ac_ct_F77@
     263ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    263264ac_ct_RANLIB = @ac_ct_RANLIB@
    264265ac_ct_STRIP = @ac_ct_STRIP@
    265266ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    266 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    267267am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    268268am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/main/Makefile.in

    r1009 r1010  
    278278ac_ct_CXX = @ac_ct_CXX@
    279279ac_ct_F77 = @ac_ct_F77@
     280ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    280281ac_ct_RANLIB = @ac_ct_RANLIB@
    281282ac_ct_STRIP = @ac_ct_STRIP@
    282283ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    283 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    284284am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    285285am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/problem/Makefile.in

    r1009 r1010  
    298298ac_ct_CXX = @ac_ct_CXX@
    299299ac_ct_F77 = @ac_ct_F77@
     300ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    300301ac_ct_RANLIB = @ac_ct_RANLIB@
    301302ac_ct_STRIP = @ac_ct_STRIP@
    302303ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    303 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    304304am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    305305am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/readnl/Makefile.in

    r1009 r1010  
    267267ac_ct_CXX = @ac_ct_CXX@
    268268ac_ct_F77 = @ac_ct_F77@
     269ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    269270ac_ct_RANLIB = @ac_ct_RANLIB@
    270271ac_ct_STRIP = @ac_ct_STRIP@
    271272ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    272 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    273273am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    274274am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/standardize/Makefile.in

    r1009 r1010  
    263263ac_ct_CXX = @ac_ct_CXX@
    264264ac_ct_F77 = @ac_ct_F77@
     265ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    265266ac_ct_RANLIB = @ac_ct_RANLIB@
    266267ac_ct_STRIP = @ac_ct_STRIP@
    267268ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    268 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    269269am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    270270am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/src/util/Makefile.in

    r1009 r1010  
    260260ac_ct_CXX = @ac_ct_CXX@
    261261ac_ct_F77 = @ac_ct_F77@
     262ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    262263ac_ct_RANLIB = @ac_ct_RANLIB@
    263264ac_ct_STRIP = @ac_ct_STRIP@
    264265ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    265 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    266266am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    267267am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Couenne/test/Makefile.in

    r1009 r1010  
    243243ac_ct_CXX = @ac_ct_CXX@
    244244ac_ct_F77 = @ac_ct_F77@
     245ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    245246ac_ct_RANLIB = @ac_ct_RANLIB@
    246247ac_ct_STRIP = @ac_ct_STRIP@
    247248ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    248 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    249249am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    250250am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
Note: See TracChangeset for help on using the changeset viewer.